<?php
if (class_exists('SiteUsers'))
{
	$DateClass = & singleton('DateClass');

	if(!isset($_REQUEST['do_filter']))
	{
		$date_to = date("Y-m-d");
		$date_from = date('Y-m-d', strtotime(date("Y-m-d", strtotime($date_to)) . " -30 days"));
	}
	else
	{
		$date_to = $DateClass->date_format_sql(to_str($_REQUEST['date_to']));
		$date_from = $DateClass->date_format_sql(to_str($_REQUEST['date_from']));
	}
	
	$SiteUsers = & singleton('SiteUsers');
	
	$current_site_user_id = $SiteUsers->GetCurrentSiteUser();

	if($current_site_user_id)
	{
		$affiliate = & singleton('affiliate');

		$affiliate->ShowAffiliate(CURRENT_SITE, $GLOBALS['LA']['xsl_name'],
		array('site_user_id' => $current_site_user_id,
		'date_from' => $date_from,
		'date_to' => $date_to));
	}
	else
	{
		?>
		<p>Пользователь не найден!</p>
		<?php
	}
}
else
{
	?>
	<h1>Пользователи сайта</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/users/">Пользователи сайта</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;.</p> 
	<?php
}
?>